PBMTOOVL(1)

NAME
pbmtoovl - ACR/NEMA DICOM PS3 ... DICOM PS3 - Create DICOM Overlay from PBM file

SYNOPSIS

pbmtoovl [ -v|verbose ]

DESCRIPTION

pbmtoovl reads the named raw PBM input file and copies the information and pixel data to a new dicom file, creating a Standalone Overlay SOP Class instance.

The output encoding of the file will be the default or explicitly requested transfer syntax, as described in dcintro(1) under output options. The byte order of the pixel data will be changed as necessary.

During the translation, specific attributes may be deleted, added or replaced, class and instance unique identifiers generated or removed, group lengths added, or private attributes removed, as specified by the replacement options described in dcintro(1). This allows the specification of additional DICOM attributes, such as the patient's name, necessary to make a complete and useful SC instance.

OPTIONS
The verbose output goes to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-standalone
    Create complete Composite Standalone Overlay SOP Instance rather than just overlay attributes.

-verbose
    Display contents after creation, during replacement, and before writing.

ENVIRONMENT

EXAMPLES

FILES

SEE ALSO
dccp(1), dctoraw(1), pnmtodc(1), rawtodc(1), dciodvfy(1), dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS

Only raw grayscale PBM files are supported.

If the standalone option is not specified, the metainformation header must be supressed, or an error will be generated, since SOP Class and Instance UIDs are mandatory in the metainformation header.